All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
To: git@vger.kernel.org
Cc: "Junio C Hamano" <gitster@pobox.com>,
	"Lars Hjemli" <hjemli@gmail.com>,
	"Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
Subject: [PATCH/RFC 05/12] gettextize: git-submodule $update_module say + die messages
Date: Mon, 13 Sep 2010 22:09:11 +0000	[thread overview]
Message-ID: <1284415758-20931-6-git-send-email-avarab@gmail.com> (raw)
In-Reply-To: <1284415758-20931-1-git-send-email-avarab@gmail.com>

Gettextize $update_module say and die messages. These messages needed
to be split up to make them translatable.

Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
---
 git-submodule.sh |   17 ++++++++---------
 1 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/git-submodule.sh b/git-submodule.sh
index 1b3132f..2b33c5f 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -479,24 +479,23 @@ cmd_update()
 			case "$update_module" in
 			rebase)
 				command="git rebase"
-				action="rebase"
-				msg="rebased onto"
+				die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+				say_msg="$(eval_gettext "Submodule path '\$path': rebased into '\$sha1'")"
 				;;
 			merge)
 				command="git merge"
-				action="merge"
-				msg="merged in"
+				die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+				say_msg="$(eval_gettext "Submodule path '\$path': merged in '\$sha1'")"
 				;;
 			*)
 				command="git checkout $force -q"
-				action="checkout"
-				msg="checked out"
+				die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+				say_msg="$(eval_gettext "Submodule path '\$path': checked out '\$sha1'")"
 				;;
 			esac
 
-			(clear_local_git_env; cd "$path" && $command "$sha1") ||
-			die "Unable to $action '$sha1' in submodule path '$path'"
-			say "Submodule path '$path': $msg '$sha1'"
+			(clear_local_git_env; cd "$path" && $command "$sha1") || die $die_msg
+			say $say_msg
 		fi
 
 		if test -n "$recursive"
-- 
1.7.3.rc1.220.gb4d42

  parent reply	other threads:[~2010-09-13 22:10 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-09-13 22:09 [PATCH/RFC 00/12] gettextize: git-submodule Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 01/12] gettextize: git-submodule add git-sh-i18n Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 02/12] gettextize: git-submodule echo + eval_gettext messages Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 03/12] gettextize: git-submodule say " Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 04/12] gettextize: git-submodule die " Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` Ævar Arnfjörð Bjarmason [this message]
2010-09-13 22:09 ` [PATCH/RFC 06/12] gettextize: git-submodule "cached cannot be used" message Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 07/12] gettextize: git-submodule "Submodule change[...]" messages Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 08/12] gettextize: git-submodule $errmsg messages Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 09/12] gettextize: git-submodule "Entering [...]" message Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 10/12] gettextize: git-submodule "[...] path is ignored" message Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 11/12] gettextize: git-submodule "path not initialized" message Ævar Arnfjörð Bjarmason
2010-09-13 22:09 ` [PATCH/RFC 12/12] gettextize: git-submodule "blob" and "submodule" messages Ævar Arnfjörð Bjarmason

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1284415758-20931-6-git-send-email-avarab@gmail.com \
    --to=avarab@gmail.com \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=hjemli@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.